List outputs for a workflow step run
GET
/v1/workflow-step-runs/{stepRunId}/outputscurl -X GET 'https://api.embodiflow.io/v1/workflow-step-runs/{stepRunId}/outputs' \
-H 'Authorization: Bearer $EMBODIFLOW_PAT'Authorization
Send a personal access token with every request.
- Authorization: Bearer PAT
Path parameters
- stepRunIdstringrequired
Query parameters
- pageSizeinteger
Page size (default 25, maximum 100). Over-maximum is refused.
- pageTokenstring
Opaque page token from the previous response.
Responses
Success
- dataarray<object>required
- idstringrequired
- outputNamestringrequired
- logicalPathstringrequired
- objectKeystringrequired
- bytesstringrequired
- sha256stringrequired
- contentTypestringrequired
- contractstring | nullrequired
- itemIndexnumber | nullrequired
- nextPageTokenstring
Opaque AIP-158 page token. Omitted when the collection is exhausted.
- metaobjectrequired
- pageSizenumberrequired
- totalCountnumber
- truncatedone of
- requestIdstring
Response example
{
"data": [
{
"id": "string",
"outputName": "string",
"logicalPath": "string",
"objectKey": "string",
"bytes": "string",
"sha256": "string",
"contentType": "string",
"contract": "string",
"itemIndex": 0
}
],
"nextPageToken": "string",
"meta": {
"pageSize": 0,
"totalCount": 0,
"truncated": false,
"requestId": "string"
}
}Servershttps://api.embodiflow.io/v1https://api.embodiflow.dev/v1